diff --git a/ChangeLog b/ChangeLog
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+* 0.14.0.5 (2021-01-26)
+  - make sure htfpp is available before running the tests
+
 * 0.14.0.4 (2021-01-26)
   - fix #99
   - hopefully fix #97
diff --git a/HTF.cabal b/HTF.cabal
--- a/HTF.cabal
+++ b/HTF.cabal
@@ -1,5 +1,5 @@
 Name:             HTF
-Version:          0.14.0.4
+Version:          0.14.0.5
 License:          LGPL-2.1
 License-File:     LICENSE
 Copyright:        (c) 2005-2015 Stefan Wehr
@@ -182,6 +182,7 @@
                      base == 4.*,
                      mtl,
                      random
+  Build-tool-depends: HTF:htfpp
   Default-language:  Haskell2010
 
 Test-Suite TestHTF
@@ -202,6 +203,7 @@
                      temporary >= 1.1,
                      text >= 0.11,
                      unordered-containers >= 0.2
+  Build-tool-depends: HTF:htfpp
   Default-language:  Haskell2010
   Other-Modules:
     Foo.A, Foo.B, TestHTFHunitBackwardsCompatible, FailFast, MaxCurTime,
@@ -216,4 +218,5 @@
                      base == 4.*,
                      mtl,
                      random
+  Build-tool-depends: HTF:htfpp
   Default-language:  Haskell2010
diff --git a/scripts/local-htfpp b/scripts/local-htfpp
--- a/scripts/local-htfpp
+++ b/scripts/local-htfpp
@@ -1,6 +1,5 @@
 #!/bin/bash
 
-DEBUG=no
 TOP=$(cd $(dirname ${BASH_SOURCE[0]})/.. > /dev/null && pwd -P)
 dist=$(stack $HTF_TRAVIS_STACK_ARGS path --dist-dir 2> /dev/null)
 find=find
@@ -19,13 +18,11 @@
 
 find_bin
 
-if [ "$DEBUG" == "yes" ]; then
+if [ -z "$bin" ]; then
     echo "TOP=$TOP" >&2
     echo "dist=$dist" >&2
     echo "bin=$bin" >&2
-fi
-
-if [ -z "$bin" ]; then
     echo "No executable named htfpp found in $TOP/$dist. Aborting!" >&2
+    exit 1
 fi
 "$bin" "$@"
